package com.bjtdba.order.service;

import com.bjtdba.order.vo.StoreGroupOrderVo;
import com.bjtdba.order.vo.StoreOrderProductVo;
import com.bjtdba.order.vo.StoreOrderVo;

import java.util.Date;
import java.util.List;

public interface StoreOrderService {
    public  Integer[] getMeridsMerchantType(Integer num);

    public int  querycount(Long uid, Integer status, Integer paid, Integer[] merIds);

    public List<StoreOrderVo> queryStoreOrderList(Long uid, Integer status, Integer paid, Integer[] merIds);

    public List<StoreOrderProductVo> getStoreOrderPorduct(Integer[] orderIds);

    /**
     * 查询操作时间
     * @param orderId
     * @return
     */
    public Date getChangeTime(Long orderId);

    /**
     * 查询订单列表 -未付款
     * @param uid
     * @param paid
     * @param isdel
     * @param merIds
     * @return
     */
    public List<StoreGroupOrderVo>  getStoreGroupOrder(Long uid, Integer paid, Integer isdel);

    /**
     * 通过用户订单号，查询小订单号 一对多
     * @param groupOrderId
     * @return
     */
    public Integer[] getOrderIds(Long groupOrderId);
}
